Subject: Re: bug#56815: 29.0.50; Isearch lazy-highlight highlights too much when truncate-lines is in effect

From: Gregory Heytings <[email-masked]>
Date: Tue, 02 Aug 2022 07:31:16 +0000

>> So if no good ideas arise that are simple enough to implement, I'm okay 
>> with simply disabling isearch-lazy-highlight in such buffers, as I 
>> wrote in the original bug report.  (Doing that will probably require 
>> exposing the "long-lines" flag to Lisp, but that's fine by me.)
>
> Exposing the "long-lines" flag to Lisp is exactly what is needed.
>

My current plan is to run a hook when long lines are detected, in which 
modes such as isearch will be free to add any function they like.